# Makefile.in generated by automake 1.7.9 from Makefile.am.
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
AR_FLAGS = @AR_FLAGS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BEOS_FALSE = @BEOS_FALSE@
BEOS_TRUE = @BEOS_TRUE@
BUGGY_MIPSPRO_FALSE = @BUGGY_MIPSPRO_FALSE@
BUGGY_MIPSPRO_TRUE = @BUGGY_MIPSPRO_TRUE@
BUILDZLIB_FALSE = @BUILDZLIB_FALSE@
BUILDZLIB_TRUE = @BUILDZLIB_TRUE@
BUILD_REGEX_FALSE = @BUILD_REGEX_FALSE@
BUILD_REGEX_TRUE = @BUILD_REGEX_TRUE@
BZADMIN_INCLUDED_FALSE = @BZADMIN_INCLUDED_FALSE@
BZADMIN_INCLUDED_TRUE = @BZADMIN_INCLUDED_TRUE@
BZFLAG_VERSION = @BZFLAG_VERSION@
CC = @CC@
CCACHE = @CCACHE@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CLIENT_INCLUDED_FALSE = @CLIENT_INCLUDED_FALSE@
CLIENT_INCLUDED_TRUE = @CLIENT_INCLUDED_TRUE@
CONFIG = @CONFIG@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CURL_CFLAGS = @CURL_CFLAGS@
CURL_LIBS = @CURL_LIBS@
CURSES_LIB = @CURSES_LIB@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEBUG_FALSE = @DEBUG_FALSE@
DEBUG_TRUE = @DEBUG_TRUE@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
GLIBS = @GLIBS@
HASPOD2MAN = @HASPOD2MAN@
HASPOD2MAN_FALSE = @HASPOD2MAN_FALSE@
HASPOD2MAN_TRUE = @HASPOD2MAN_TRUE@
HASWHOAMI = @HASWHOAMI@
HAVE_CURSES_FALSE = @HAVE_CURSES_FALSE@
HAVE_CURSES_TRUE = @HAVE_CURSES_TRUE@
HAVE_KRB5_FALSE = @HAVE_KRB5_FALSE@
HAVE_KRB5_TRUE = @HAVE_KRB5_TRUE@
HAVE_SDL_FALSE = @HAVE_SDL_FALSE@
HAVE_SDL_TRUE = @HAVE_SDL_TRUE@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_DATA_DIR = @INSTALL_DATA_DIR@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
IRIX_FALSE = @IRIX_FALSE@
IRIX_TRUE = @IRIX_TRUE@
KRB5_CFLAGS = @KRB5_CFLAGS@
KRB5_CONFIG = @KRB5_CONFIG@
KRB5_LIBS = @KRB5_LIBS@
LDFLAGS = @LDFLAGS@
LIBDIR = @LIBDIR@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LINUX_FALSE = @LINUX_FALSE@
LINUX_TRUE = @LINUX_TRUE@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MACOS_FALSE = @MACOS_FALSE@
MACOS_TRUE = @MACOS_TRUE@
MAJOR_VERSION = @MAJOR_VERSION@
MAKEINFO = @MAKEINFO@
MINOR_VERSION = @MINOR_VERSION@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PC_FALSE = @PC_FALSE@
PC_TRUE = @PC_TRUE@
PPC_FALSE = @PPC_FALSE@
PPC_TRUE = @PPC_TRUE@
RANLIB = @RANLIB@
SDL_CFLAGS = @SDL_CFLAGS@
SDL_CONFIG = @SDL_CONFIG@
SDL_LIBS = @SDL_LIBS@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SOLARIS_FALSE = @SOLARIS_FALSE@
SOLARIS_TRUE = @SOLARIS_TRUE@
STRIP = @STRIP@
VERSION = @VERSION@
WIN32_FALSE = @WIN32_FALSE@
WIN32_TRUE = @WIN32_TRUE@
WINDRES = @WINDRES@
X_CFLAGS = @X_CFLAGS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_LIBS = @X_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
ac_ct_WINDRES = @ac_ct_WINDRES@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
desktopdir = @desktopdir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@

@IRIX_TRUE@libPlatform_a_SOURCES = \
@IRIX_TRUE@	PlatformFactory.cxx			\
@IRIX_TRUE@	BzfDisplay.cxx				\
@IRIX_TRUE@	BzfJoystick.cxx				\
@IRIX_TRUE@	BzfVisual.cxx				\
@IRIX_TRUE@	BzfWindow.cxx				\
@IRIX_TRUE@	BzfMedia.cxx				\
@IRIX_TRUE@	wave.cxx				\
@IRIX_TRUE@	wave.h					\
@IRIX_TRUE@	SGIPlatformFactory.cxx			\
@IRIX_TRUE@	SGIPlatformFactory.h			\
@IRIX_TRUE@	SGIDisplay.cxx				\
@IRIX_TRUE@	SGIDisplay.h				\
@IRIX_TRUE@	SGIMedia.cxx				\
@IRIX_TRUE@	SGIMedia.h				\
@IRIX_TRUE@	XDisplay.cxx				\
@IRIX_TRUE@	XDisplay.h				\
@IRIX_TRUE@	XVisual.cxx				\
@IRIX_TRUE@	XVisual.h				\
@IRIX_TRUE@	XWindow.cxx				\
@IRIX_TRUE@	XWindow.h


@SOLARIS_TRUE@libPlatform_a_SOURCES = \
@SOLARIS_TRUE@	PlatformFactory.cxx			\
@SOLARIS_TRUE@	BzfDisplay.cxx				\
@SOLARIS_TRUE@	BzfJoystick.cxx				\
@SOLARIS_TRUE@	BzfVisual.cxx				\
@SOLARIS_TRUE@	BzfWindow.cxx				\
@SOLARIS_TRUE@	BzfMedia.cxx				\
@SOLARIS_TRUE@	wave.cxx				\
@SOLARIS_TRUE@	wave.h					\
@SOLARIS_TRUE@	SolarisPlatformFactory.cxx		\
@SOLARIS_TRUE@	SolarisPlatformFactory.h		\
@SOLARIS_TRUE@	SolarisMedia.cxx			\
@SOLARIS_TRUE@	SolarisMedia.h				\
@SOLARIS_TRUE@	XDisplay.cxx				\
@SOLARIS_TRUE@	XDisplay.h				\
@SOLARIS_TRUE@	XVisual.cxx				\
@SOLARIS_TRUE@	XVisual.h				\
@SOLARIS_TRUE@	XWindow.cxx				\
@SOLARIS_TRUE@	XWindow.h


@WIN32_TRUE@libPlatform_a_SOURCES = \
@WIN32_TRUE@	PlatformFactory.cxx			\
@WIN32_TRUE@	BzfDisplay.cxx				\
@WIN32_TRUE@	BzfJoystick.cxx				\
@WIN32_TRUE@	BzfVisual.cxx				\
@WIN32_TRUE@	BzfWindow.cxx				\
@WIN32_TRUE@	BzfMedia.cxx				\
@WIN32_TRUE@	SDLDisplay.h				\
@WIN32_TRUE@	SDLDisplay.cxx				\
@WIN32_TRUE@	SDLJoystick.h				\
@WIN32_TRUE@	SDLJoystick.cxx				\
@WIN32_TRUE@	SDLMedia.cxx				\
@WIN32_TRUE@	SDLMedia.h				\
@WIN32_TRUE@	wave.cxx				\
@WIN32_TRUE@	wave.h					\
@WIN32_TRUE@	WinPlatformFactory.cxx			\
@WIN32_TRUE@	WinPlatformFactory.h			\
@WIN32_TRUE@	WinDisplay.cxx				\
@WIN32_TRUE@	WinDisplay.h				\
@WIN32_TRUE@	DXJoystick.cxx				\
@WIN32_TRUE@	DXJoystick.h				\
@WIN32_TRUE@	WinJoystick.cxx				\
@WIN32_TRUE@	WinJoystick.h				\
@WIN32_TRUE@	WinVisual.cxx				\
@WIN32_TRUE@	WinVisual.h				\
@WIN32_TRUE@	WinWindow.cxx				\
@WIN32_TRUE@	WinWindow.h				\
@WIN32_TRUE@	WinMedia.cxx				\
@WIN32_TRUE@	WinMedia.h


@BEOS_TRUE@libPlatform_a_SOURCES = \
@BEOS_TRUE@	PlatformFactory.cxx			\
@BEOS_TRUE@	BzfDisplay.cxx				\
@BEOS_TRUE@	BzfJoystick.cxx				\
@BEOS_TRUE@	BzfVisual.cxx				\
@BEOS_TRUE@	BzfWindow.cxx				\
@BEOS_TRUE@	BzfMedia.cxx				\
@BEOS_TRUE@	wave.cxx				\
@BEOS_TRUE@	wave.h					\
@BEOS_TRUE@	BeOSPlatformFactory.cxx			\
@BEOS_TRUE@	BeOSPlatformFactory.h			\
@BEOS_TRUE@	BeOSDisplay.cxx				\
@BEOS_TRUE@	BeOSDisplay.h				\
@BEOS_TRUE@	BeOSVisual.cxx				\
@BEOS_TRUE@	BeOSVisual.h				\
@BEOS_TRUE@	BeOSWindow.cxx				\
@BEOS_TRUE@	BeOSWindow.h				\
@BEOS_TRUE@	BeOSMedia.cxx				\
@BEOS_TRUE@	BeOSMedia.h

@HAVE_SDL_FALSE@@MACOS_TRUE@libPlatform_a_SOURCES = \
@HAVE_SDL_FALSE@@MACOS_TRUE@	PlatformFactory.cxx			\
@HAVE_SDL_FALSE@@MACOS_TRUE@	BzfDisplay.cxx				\
@HAVE_SDL_FALSE@@MACOS_TRUE@	BzfJoystick.cxx				\
@HAVE_SDL_FALSE@@MACOS_TRUE@	BzfVisual.cxx				\
@HAVE_SDL_FALSE@@MACOS_TRUE@	BzfWindow.cxx				\
@HAVE_SDL_FALSE@@MACOS_TRUE@	BzfMedia.cxx				\
@HAVE_SDL_FALSE@@MACOS_TRUE@	wave.cxx				\
@HAVE_SDL_FALSE@@MACOS_TRUE@	wave.h


@HAVE_SDL_TRUE@@MACOS_TRUE@libPlatform_a_SOURCES = \
@HAVE_SDL_TRUE@@MACOS_TRUE@	PlatformFactory.cxx			\
@HAVE_SDL_TRUE@@MACOS_TRUE@	BzfDisplay.cxx				\
@HAVE_SDL_TRUE@@MACOS_TRUE@	BzfJoystick.cxx				\
@HAVE_SDL_TRUE@@MACOS_TRUE@	BzfVisual.cxx				\
@HAVE_SDL_TRUE@@MACOS_TRUE@	BzfWindow.cxx				\
@HAVE_SDL_TRUE@@MACOS_TRUE@	BzfMedia.cxx				\
@HAVE_SDL_TRUE@@MACOS_TRUE@	SDLJoystick.cxx				\
@HAVE_SDL_TRUE@@MACOS_TRUE@	SDLJoystick.h				\
@HAVE_SDL_TRUE@@MACOS_TRUE@	SDLMedia.cxx				\
@HAVE_SDL_TRUE@@MACOS_TRUE@	SDLMedia.h				\
@HAVE_SDL_TRUE@@MACOS_TRUE@	SDLDisplay.h				\
@HAVE_SDL_TRUE@@MACOS_TRUE@	SDLDisplay.cxx				\
@HAVE_SDL_TRUE@@MACOS_TRUE@	wave.cxx				\
@HAVE_SDL_TRUE@@MACOS_TRUE@	wave.h

@HAVE_SDL_TRUE@@LINUX_TRUE@libPlatform_a_SOURCES = \
@HAVE_SDL_TRUE@@LINUX_TRUE@	PlatformFactory.cxx			\
@HAVE_SDL_TRUE@@LINUX_TRUE@	BzfDisplay.cxx				\
@HAVE_SDL_TRUE@@LINUX_TRUE@	BzfJoystick.cxx				\
@HAVE_SDL_TRUE@@LINUX_TRUE@	BzfVisual.cxx				\
@HAVE_SDL_TRUE@@LINUX_TRUE@	BzfWindow.cxx				\
@HAVE_SDL_TRUE@@LINUX_TRUE@	BzfMedia.cxx				\
@HAVE_SDL_TRUE@@LINUX_TRUE@	SDLJoystick.cxx				\
@HAVE_SDL_TRUE@@LINUX_TRUE@	SDLJoystick.h				\
@HAVE_SDL_TRUE@@LINUX_TRUE@	EvdevJoystick.cxx			\
@HAVE_SDL_TRUE@@LINUX_TRUE@	EvdevJoystick.h				\
@HAVE_SDL_TRUE@@LINUX_TRUE@	SDLPlatformFactory.cxx			\
@HAVE_SDL_TRUE@@LINUX_TRUE@	SDLPlatformFactory.h			\
@HAVE_SDL_TRUE@@LINUX_TRUE@	SDLMedia.cxx				\
@HAVE_SDL_TRUE@@LINUX_TRUE@	SDLMedia.h				\
@HAVE_SDL_TRUE@@LINUX_TRUE@	SDLDisplay.h				\
@HAVE_SDL_TRUE@@LINUX_TRUE@	SDLDisplay.cxx

@HAVE_SDL_FALSE@@LINUX_TRUE@libPlatform_a_SOURCES = \
@HAVE_SDL_FALSE@@LINUX_TRUE@	PlatformFactory.cxx			\
@HAVE_SDL_FALSE@@LINUX_TRUE@	BzfDisplay.cxx				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	BzfJoystick.cxx				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	BzfVisual.cxx				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	BzfWindow.cxx				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	BzfMedia.cxx				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	wave.cxx				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	wave.h					\
@HAVE_SDL_FALSE@@LINUX_TRUE@	LinuxPlatformFactory.cxx		\
@HAVE_SDL_FALSE@@LINUX_TRUE@	LinuxPlatformFactory.h			\
@HAVE_SDL_FALSE@@LINUX_TRUE@	LinuxDisplay.cxx			\
@HAVE_SDL_FALSE@@LINUX_TRUE@	LinuxDisplay.h				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	LinuxMedia.cxx				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	LinuxMedia.h				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	EvdevJoystick.cxx			\
@HAVE_SDL_FALSE@@LINUX_TRUE@	EvdevJoystick.h				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	USBJoystick.cxx				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	USBJoystick.h				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	XIJoystick.cxx				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	XIJoystick.h				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	XDisplay.cxx				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	XDisplay.h				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	XVisual.cxx				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	XVisual.h				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	XWindow.cxx				\
@HAVE_SDL_FALSE@@LINUX_TRUE@	XWindow.h


@MACOS_TRUE@SUBDIRS = MacOSX
DIST_SUBDIRS = MacOSX

@CLIENT_INCLUDED_TRUE@noinst_LIBRARIES = libPlatform.a

EXTRA_libPlatform_a_SOURCES = \
	BeOSPlatformFactory.cxx		\
	BeOSPlatformFactory.h		\
	BeOSDisplay.cxx			\
	BeOSDisplay.h			\
	BeOSVisual.cxx			\
	BeOSVisual.h			\
	BeOSWindow.cxx			\
	BeOSWindow.h			\
	BeOSWindow2.cxx			\
	BeOSMedia.cxx			\
	BeOSMedia.h			\
	LinuxPlatformFactory.cxx	\
	LinuxPlatformFactory.h		\
	LinuxDisplay.cxx		\
	LinuxDisplay.h			\
	LinuxMedia.cxx			\
	LinuxMedia.h			\
	SDLJoystick.cxx			\
	SDLJoystick.h			\
	EvdevJoystick.cxx		\
	EvdevJoystick.h			\
	SDLPlatformFactory.cxx		\
	SDLPlatformFactory.h		\
	SDLMedia.cxx			\
	SDLMedia.h			\
	SDLDisplay.h			\
	SDLDisplay.cxx			\
	SGIPlatformFactory.cxx		\
	SGIPlatformFactory.h		\
	SGIDisplay.cxx			\
	SGIDisplay.h			\
	SGIMedia.cxx			\
	SGIMedia.h			\
	SolarisPlatformFactory.cxx	\
	SolarisPlatformFactory.h	\
	SolarisMedia.cxx		\
	SolarisMedia.h			\
	USBJoystick.cxx			\
	USBJoystick.h			\
	WinPlatformFactory.cxx		\
	WinPlatformFactory.h		\
	WinDisplay.cxx			\
	WinDisplay.h			\
	WinJoystick.cxx			\
	WinJoystick.h			\
	WinVisual.cxx			\
	WinVisual.h			\
	WinWindow.cxx			\
	WinWindow.h			\
	WinMedia.cxx			\
	WinMedia.h			\
	XDisplay.cxx			\
	XDisplay.h			\
	XIJoystick.cxx			\
	XIJoystick.h			\
	XVisual.cxx			\
	XVisual.h			\
	XWindow.cxx			\
	XWindow.h			\
	wave.cxx			\
	wave.h


AM_CPPFLAGS = -I$(top_srcdir)/include $(SDL_CFLAGS)

EXTRA_DIST = \
	NewMedia.cxx \
	NewMedia.h \
	README


MAINTAINERCLEANFILES = \
	Makefile.in

subdir = src/platform
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)

libPlatform_a_AR = $(AR) cru
libPlatform_a_LIBADD =
am__libPlatform_a_SOURCES_DIST = PlatformFactory.cxx BzfDisplay.cxx \
	BzfJoystick.cxx BzfVisual.cxx BzfWindow.cxx BzfMedia.cxx \
	wave.cxx wave.h SGIPlatformFactory.cxx SGIPlatformFactory.h \
	SGIDisplay.cxx SGIDisplay.h SGIMedia.cxx SGIMedia.h \
	XDisplay.cxx XDisplay.h XVisual.cxx XVisual.h XWindow.cxx \
	XWindow.h SolarisPlatformFactory.cxx SolarisPlatformFactory.h \
	SolarisMedia.cxx SolarisMedia.h SDLDisplay.h SDLDisplay.cxx \
	SDLJoystick.h SDLJoystick.cxx SDLMedia.cxx SDLMedia.h \
	WinPlatformFactory.cxx WinPlatformFactory.h WinDisplay.cxx \
	WinDisplay.h DXJoystick.cxx DXJoystick.h WinJoystick.cxx \
	WinJoystick.h WinVisual.cxx WinVisual.h WinWindow.cxx \
	WinWindow.h WinMedia.cxx WinMedia.h BeOSPlatformFactory.cxx \
	BeOSPlatformFactory.h BeOSDisplay.cxx BeOSDisplay.h \
	BeOSVisual.cxx BeOSVisual.h BeOSWindow.cxx BeOSWindow.h \
	BeOSMedia.cxx BeOSMedia.h EvdevJoystick.cxx EvdevJoystick.h \
	SDLPlatformFactory.cxx SDLPlatformFactory.h \
	LinuxPlatformFactory.cxx LinuxPlatformFactory.h \
	LinuxDisplay.cxx LinuxDisplay.h LinuxMedia.cxx LinuxMedia.h \
	USBJoystick.cxx USBJoystick.h XIJoystick.cxx XIJoystick.h
@BEOS_TRUE@am_libPlatform_a_OBJECTS = PlatformFactory.$(OBJEXT) \
@BEOS_TRUE@	BzfDisplay.$(OBJEXT) BzfJoystick.$(OBJEXT) \
@BEOS_TRUE@	BzfVisual.$(OBJEXT) BzfWindow.$(OBJEXT) \
@BEOS_TRUE@	BzfMedia.$(OBJEXT) wave.$(OBJEXT) \
@BEOS_TRUE@	BeOSPlatformFactory.$(OBJEXT) BeOSDisplay.$(OBJEXT) \
@BEOS_TRUE@	BeOSVisual.$(OBJEXT) BeOSWindow.$(OBJEXT) \
@BEOS_TRUE@	BeOSMedia.$(OBJEXT)
@HAVE_SDL_FALSE@@LINUX_TRUE@am_libPlatform_a_OBJECTS = \
@HAVE_SDL_FALSE@@LINUX_TRUE@	PlatformFactory.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	BzfDisplay.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	BzfJoystick.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	BzfVisual.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	BzfWindow.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	BzfMedia.$(OBJEXT) wave.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	LinuxPlatformFactory.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	LinuxDisplay.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	LinuxMedia.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	EvdevJoystick.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	USBJoystick.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	XIJoystick.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	XDisplay.$(OBJEXT) \
@HAVE_SDL_FALSE@@LINUX_TRUE@	XVisual.$(OBJEXT) XWindow.$(OBJEXT)
@HAVE_SDL_FALSE@@MACOS_TRUE@am_libPlatform_a_OBJECTS = \
@HAVE_SDL_FALSE@@MACOS_TRUE@	PlatformFactory.$(OBJEXT) \
@HAVE_SDL_FALSE@@MACOS_TRUE@	BzfDisplay.$(OBJEXT) \
@HAVE_SDL_FALSE@@MACOS_TRUE@	BzfJoystick.$(OBJEXT) \
@HAVE_SDL_FALSE@@MACOS_TRUE@	BzfVisual.$(OBJEXT) \
@HAVE_SDL_FALSE@@MACOS_TRUE@	BzfWindow.$(OBJEXT) \
@HAVE_SDL_FALSE@@MACOS_TRUE@	BzfMedia.$(OBJEXT) wave.$(OBJEXT)
@HAVE_SDL_TRUE@@LINUX_TRUE@am_libPlatform_a_OBJECTS = \
@HAVE_SDL_TRUE@@LINUX_TRUE@	PlatformFactory.$(OBJEXT) \
@HAVE_SDL_TRUE@@LINUX_TRUE@	BzfDisplay.$(OBJEXT) \
@HAVE_SDL_TRUE@@LINUX_TRUE@	BzfJoystick.$(OBJEXT) \
@HAVE_SDL_TRUE@@LINUX_TRUE@	BzfVisual.$(OBJEXT) \
@HAVE_SDL_TRUE@@LINUX_TRUE@	BzfWindow.$(OBJEXT) \
@HAVE_SDL_TRUE@@LINUX_TRUE@	BzfMedia.$(OBJEXT) \
@HAVE_SDL_TRUE@@LINUX_TRUE@	SDLJoystick.$(OBJEXT) \
@HAVE_SDL_TRUE@@LINUX_TRUE@	EvdevJoystick.$(OBJEXT) \
@HAVE_SDL_TRUE@@LINUX_TRUE@	SDLPlatformFactory.$(OBJEXT) \
@HAVE_SDL_TRUE@@LINUX_TRUE@	SDLMedia.$(OBJEXT) \
@HAVE_SDL_TRUE@@LINUX_TRUE@	SDLDisplay.$(OBJEXT)
@HAVE_SDL_TRUE@@MACOS_TRUE@am_libPlatform_a_OBJECTS = \
@HAVE_SDL_TRUE@@MACOS_TRUE@	PlatformFactory.$(OBJEXT) \
@HAVE_SDL_TRUE@@MACOS_TRUE@	BzfDisplay.$(OBJEXT) \
@HAVE_SDL_TRUE@@MACOS_TRUE@	BzfJoystick.$(OBJEXT) \
@HAVE_SDL_TRUE@@MACOS_TRUE@	BzfVisual.$(OBJEXT) \
@HAVE_SDL_TRUE@@MACOS_TRUE@	BzfWindow.$(OBJEXT) \
@HAVE_SDL_TRUE@@MACOS_TRUE@	BzfMedia.$(OBJEXT) \
@HAVE_SDL_TRUE@@MACOS_TRUE@	SDLJoystick.$(OBJEXT) \
@HAVE_SDL_TRUE@@MACOS_TRUE@	SDLMedia.$(OBJEXT) \
@HAVE_SDL_TRUE@@MACOS_TRUE@	SDLDisplay.$(OBJEXT) wave.$(OBJEXT)
@IRIX_TRUE@am_libPlatform_a_OBJECTS = PlatformFactory.$(OBJEXT) \
@IRIX_TRUE@	BzfDisplay.$(OBJEXT) BzfJoystick.$(OBJEXT) \
@IRIX_TRUE@	BzfVisual.$(OBJEXT) BzfWindow.$(OBJEXT) \
@IRIX_TRUE@	BzfMedia.$(OBJEXT) wave.$(OBJEXT) \
@IRIX_TRUE@	SGIPlatformFactory.$(OBJEXT) SGIDisplay.$(OBJEXT) \
@IRIX_TRUE@	SGIMedia.$(OBJEXT) XDisplay.$(OBJEXT) \
@IRIX_TRUE@	XVisual.$(OBJEXT) XWindow.$(OBJEXT)
@SOLARIS_TRUE@am_libPlatform_a_OBJECTS = PlatformFactory.$(OBJEXT) \
@SOLARIS_TRUE@	BzfDisplay.$(OBJEXT) BzfJoystick.$(OBJEXT) \
@SOLARIS_TRUE@	BzfVisual.$(OBJEXT) BzfWindow.$(OBJEXT) \
@SOLARIS_TRUE@	BzfMedia.$(OBJEXT) wave.$(OBJEXT) \
@SOLARIS_TRUE@	SolarisPlatformFactory.$(OBJEXT) \
@SOLARIS_TRUE@	SolarisMedia.$(OBJEXT) XDisplay.$(OBJEXT) \
@SOLARIS_TRUE@	XVisual.$(OBJEXT) XWindow.$(OBJEXT)
@WIN32_TRUE@am_libPlatform_a_OBJECTS = PlatformFactory.$(OBJEXT) \
@WIN32_TRUE@	BzfDisplay.$(OBJEXT) BzfJoystick.$(OBJEXT) \
@WIN32_TRUE@	BzfVisual.$(OBJEXT) BzfWindow.$(OBJEXT) \
@WIN32_TRUE@	BzfMedia.$(OBJEXT) SDLDisplay.$(OBJEXT) \
@WIN32_TRUE@	SDLJoystick.$(OBJEXT) SDLMedia.$(OBJEXT) \
@WIN32_TRUE@	wave.$(OBJEXT) WinPlatformFactory.$(OBJEXT) \
@WIN32_TRUE@	WinDisplay.$(OBJEXT) DXJoystick.$(OBJEXT) \
@WIN32_TRUE@	WinJoystick.$(OBJEXT) WinVisual.$(OBJEXT) \
@WIN32_TRUE@	WinWindow.$(OBJEXT) WinMedia.$(OBJEXT)
libPlatform_a_OBJECTS = $(am_libPlatform_a_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)/include
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/BeOSDisplay.Po \
@AMDEP_TRUE@	./$(DEPDIR)/BeOSMedia.Po \
@AMDEP_TRUE@	./$(DEPDIR)/BeOSPlatformFactory.Po \
@AMDEP_TRUE@	./$(DEPDIR)/BeOSVisual.Po ./$(DEPDIR)/BeOSWindow.Po \
@AMDEP_TRUE@	./$(DEPDIR)/BeOSWindow2.Po \
@AMDEP_TRUE@	./$(DEPDIR)/BzfDisplay.Po \
@AMDEP_TRUE@	./$(DEPDIR)/BzfJoystick.Po ./$(DEPDIR)/BzfMedia.Po \
@AMDEP_TRUE@	./$(DEPDIR)/BzfVisual.Po ./$(DEPDIR)/BzfWindow.Po \
@AMDEP_TRUE@	./$(DEPDIR)/DXJoystick.Po \
@AMDEP_TRUE@	./$(DEPDIR)/EvdevJoystick.Po \
@AMDEP_TRUE@	./$(DEPDIR)/LinuxDisplay.Po \
@AMDEP_TRUE@	./$(DEPDIR)/LinuxMedia.Po \
@AMDEP_TRUE@	./$(DEPDIR)/LinuxPlatformFactory.Po \
@AMDEP_TRUE@	./$(DEPDIR)/PlatformFactory.Po \
@AMDEP_TRUE@	./$(DEPDIR)/SDLDisplay.Po \
@AMDEP_TRUE@	./$(DEPDIR)/SDLJoystick.Po ./$(DEPDIR)/SDLMedia.Po \
@AMDEP_TRUE@	./$(DEPDIR)/SDLPlatformFactory.Po \
@AMDEP_TRUE@	./$(DEPDIR)/SGIDisplay.Po ./$(DEPDIR)/SGIMedia.Po \
@AMDEP_TRUE@	./$(DEPDIR)/SGIPlatformFactory.Po \
@AMDEP_TRUE@	./$(DEPDIR)/SolarisMedia.Po \
@AMDEP_TRUE@	./$(DEPDIR)/SolarisPlatformFactory.Po \
@AMDEP_TRUE@	./$(DEPDIR)/USBJoystick.Po \
@AMDEP_TRUE@	./$(DEPDIR)/WinDisplay.Po \
@AMDEP_TRUE@	./$(DEPDIR)/WinJoystick.Po ./$(DEPDIR)/WinMedia.Po \
@AMDEP_TRUE@	./$(DEPDIR)/WinPlatformFactory.Po \
@AMDEP_TRUE@	./$(DEPDIR)/WinVisual.Po ./$(DEPDIR)/WinWindow.Po \
@AMDEP_TRUE@	./$(DEPDIR)/XDisplay.Po ./$(DEPDIR)/XIJoystick.Po \
@AMDEP_TRUE@	./$(DEPDIR)/XVisual.Po ./$(DEPDIR)/XWindow.Po \
@AMDEP_TRUE@	./$(DEPDIR)/wave.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(am__libPlatform_a_SOURCES_DIST) \
	$(EXTRA_libPlatform_a_SOURCES)

RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = README $(srcdir)/Makefile.in Makefile.am
SOURCES = $(libPlatform_a_SOURCES) $(EXTRA_libPlatform_a_SOURCES)

all: all-recursive

.SUFFIXES:
.SUFFIXES: .cxx .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/platform/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libPlatform.a: $(libPlatform_a_OBJECTS) $(libPlatform_a_DEPENDENCIES) 
	-rm -f libPlatform.a
	$(libPlatform_a_AR) libPlatform.a $(libPlatform_a_OBJECTS) $(libPlatform_a_LIBADD)
	$(RANLIB) libPlatform.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BeOSDisplay.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BeOSMedia.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BeOSPlatformFactory.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BeOSVisual.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BeOSWindow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BeOSWindow2.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BzfDisplay.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BzfJoystick.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BzfMedia.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BzfVisual.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BzfWindow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/DXJoystick.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/EvdevJoystick.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/LinuxDisplay.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/LinuxMedia.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/LinuxPlatformFactory.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/PlatformFactory.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SDLDisplay.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SDLJoystick.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SDLMedia.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SDLPlatformFactory.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SGIDisplay.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SGIMedia.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SGIPlatformFactory.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SolarisMedia.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SolarisPlatformFactory.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/USBJoystick.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/WinDisplay.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/WinJoystick.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/WinMedia.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/WinPlatformFactory.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/WinVisual.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/WinWindow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/XDisplay.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/XIJoystick.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/XVisual.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/XWindow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wave.Po@am__quote@

.cxx.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cxx.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if (etags --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	else \
	  include_option=--include; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(LIBRARIES)
installdirs: installdirs-recursive
installdirs-am:

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
clean: clean-recursive

clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am

distclean: distclean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am:

install-exec-am:

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-info-am

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
	clean-generic clean-noinstLIBRARIES clean-recursive ctags \
	ctags-recursive distclean distclean-compile distclean-generic \
	distclean-recursive distclean-tags distdir dvi dvi-am \
	dvi-recursive info info-am info-recursive install install-am \
	install-data install-data-am install-data-recursive \
	install-exec install-exec-am install-exec-recursive \
	install-info install-info-am install-info-recursive install-man \
	install-recursive install-strip installcheck installcheck-am \
	installdirs installdirs-am installdirs-recursive \
	maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-recursive pdf pdf-am \
	pdf-recursive ps ps-am ps-recursive tags tags-recursive \
	uninstall uninstall-am uninstall-info-am \
	uninstall-info-recursive uninstall-recursive

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
